Summary:	Java OpenStreetMap Tile Viewer
Name:		jmapviewer
Version:	1.03
Release:	%mkrel 5
Group:		Development/Java
License:	GPLv2
URL:		http://wiki.openstreetmap.org/wiki/JMapViewer
Source:		http://svn.openstreetmap.org/applications/viewer/jmapviewer/releases/%{version}/JMapViewer-%{version}-Source.zip

BuildArch:	noarch

BuildRequires:	ant
BuildRequires:	maven-local

%description
JMapViewer is a java component which allows to easily integrate an OSM
map view into your Java application.

Features:
* Provides integrated zoom controls (slider and buttons) in the left
  upper corner (can be hidden)
* Switch between different tile sources: Mapnik, Tiles@Home, Cyclemap,
  ... (other tiled maps can be used, too)
* Configurable in-memory and file-based caching of loaded map tiles
* A list of map markers can be added. Map markers of different shape
  can be easily added by implementing the MapMarker interface.
* Configurable/Extentable/Replaceable controller (code part that
  manages mouse interaction and how the map reacts to it)


%package javadoc
Summary:	API documentation for JMapViewer %{name}
Group:		Development/Java

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q

# remove all binary libs, just in case
find -name '*.class' -delete
find -name '*.jar' -delete

#fix error "unmappable character for encoding ASCII"
sed -i "s|ö|o|g" ./src/org/openstreetmap/gui/jmapviewer/interfaces/TileJob.java

# fix line endings
sed -i 's/\r$//' Readme.txt Gpl.txt

sed -i '/<\/javac>/a \
<javadoc sourcepath="src" destdir="target/site/apidocs/" encoding="UTF-8"\/>
' build.xml

%build
%ant clean build pack

%mvn_artifact org.openstreetmap:%{name}:%{version} JMapViewer.jar
%mvn_file :%{name} JMapViewer %{name}

%install
%mvn_install

%files -f .mfiles
%doc Readme.txt Gpl.txt

%files javadoc -f .mfiles-javadoc
%doc Gpl.txt


%changelog
* Wed Nov 02 2016 daviddavid <daviddavid> 1.03-5.mga6
+ Revision: 1064756
- use xmvn (sync partially with fc24)

* Mon Feb 08 2016 umeabot <umeabot> 1.03-4.mga6
+ Revision: 947776
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.03-3.mga5
+ Revision: 742980
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.03-2.mga5
+ Revision: 680825
- Mageia 5 Mass Rebuild

* Wed Jun 18 2014 alexl <alexl> 1.03-1.mga5
+ Revision: 637923
- imported package jmapviewer

